Переполнение буфера в HP Virtual Rooms Install HPVirtualRooms14 Class ActiveX компоненте

Дата публикации:
22.01.2008
Дата изменения:
07.04.2008
Всего просмотров:
1169
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0213
CVE-2008-0437
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
HP Virtual Rooms 6.x
HP Virtual Rooms Install 1.x
Уязвимые версии: HP Virtual Rooms Install 1.0.0.100, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в WebHPVCInstall.HPVirtualRooms14 ActiveX компоненте (HPVirtualRooms14.dll) при обраотке строк для различных свойств (например, "AuthenticationURL", "PortalAPIURL", "cabroot"). Удаленный пользователь может с помощью специально сформированного Web сайта передать слишком длинную строку уязвимому свойству, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: www.rooms.hp.com/default.aspx

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


07.04.2008
Изменена секция "Решение".

или введите имя

CAPTCHA